#!/usr/bin/env python

import coral

P = coral.loadDocument("coral/core/CORE01.xmi")
P.setFilename("/dev/mem")
try:
    coral.saveDocument(P)
except:
    pass
else:
    assert 0

P.setFilename("/dev/foobar")
try:
    coral.saveDocument(P)
except:
    pass
else:
    assert 0

P.setFilename("/")
try:
    coral.saveDocument(P)
except:
    pass
else:
    assert 0

